curl --request PUT \
--url https://api.us.cr4ce.com/contributor/{contributor_slug} \
--header 'Accept: <accept>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"fields": {
"IjKlMnOp": "Co-writer",
"MnOpQrSt": true
}
}
'import requests
url = "https://api.us.cr4ce.com/contributor/{contributor_slug}"
payload = { "fields": {
"IjKlMnOp": "Co-writer",
"MnOpQrSt": True
} }
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({fields: {IjKlMnOp: 'Co-writer', MnOpQrSt: true}})
};
fetch('https://api.us.cr4ce.com/contributor/{contributor_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entry": {
"slug": "IjKlMnOp",
"link": "https://api.au.cr4ce.com/entry/IjKlMnOp",
"title": "Documentary submission"
},
"created": "2025-01-15T09:00:00Z",
"fields": [
{
"slug": "StUvWxYz",
"link": "https://api.au.cr4ce.com/field/StUvWxYz",
"label": {
"en_GB": "Team member name"
},
"title": {
"en_GB": "Team member name"
},
"value": "Jane Roe",
"translated": {
"en_GB": ""
}
},
{
"slug": "KlMnOpQr",
"link": "https://api.au.cr4ce.com/field/KlMnOpQr",
"label": {
"en_GB": "<p>Confirmed</p>"
},
"title": {
"en_GB": "Confirmed"
},
"value": true,
"translated": {
"en_GB": ""
}
}
],
"season": {
"slug": "QrStUvWx",
"link": "https://api.au.cr4ce.com/season/QrStUvWx",
"name": {
"en_GB": "2025"
}
},
"slug": "AbCdEfGh",
"tab": {
"slug": "MnOpQrSt",
"link": "https://api.au.cr4ce.com/tab/MnOpQrSt",
"name": {
"en_GB": "Contributors"
}
},
"updated": "2025-06-20T14:30:00Z"
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 404
}{
"message": "<string>",
"status_code": 422,
"errors": {}
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}Update contributor
Update the contributor identified by the specified slug.
Authorizations
API key used to authenticate and authorise every request.
Include it in the x-api-key header.
Headers
Defines the response type.
application/vnd.Creative Force.v2.3+json, application/vnd.Creative Force.v2.3+xml Defines the languages included in the response. If non are provided, the account default language is returned.
Value all overrides any other values present.
You can request multiple languages using a comma-separated string of languages.
The selected language must be supported by your account or a 400 error is returned.
all, ar_AR, bg_BG, bn_IN, ca_ES, cs_CZ, cy_GB, da_DK, de_DE, en_GB, en_US, el_GR, es_NN, es_LA, et_EE, fa_NN, fi_FI, fr_FR, fr_CA, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, it_IT, ja_JP, ko_KR, lt_LT, ms_MY, nl_NL, nb_NO, pl_PL, pt_BR, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sr_RS, sv_SE, sw_NN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_HK Path Parameters
Slug of the contributor.
^[A-Za-z]{8}$Body
Contributor update payload.
Contributor field values keyed by field slug.
Show child attributes
Show child attributes
Response
Contributor updated.
Entry the contributor is attached to.
Show child attributes
Show child attributes
Date and time when the contributor was created.
Field values captured for the contributor, one entry per field on the contributor tab.
Show child attributes
Show child attributes
Season the contributor belongs to.
Show child attributes
Show child attributes
Short URL-safe identifier for the contributor.
Contributor tab the contributor belongs to.
Show child attributes
Show child attributes
Date and time when the contributor was last updated.